Index: /ipk/source.sh4/titansettings_old_default_sat_1_0/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/titansettings_old_default_sat_1_0/CONTROL/postinst	(revision 17906)
+++ /ipk/source.sh4/titansettings_old_default_sat_1_0/CONTROL/postinst	(revision 17907)
@@ -1,3 +1,19 @@
 #!/bin/sh
+
+#del old bouquet entrys
+oldbouquets=`cat /tmp/bouquets.cfg`
+oldifs=$IFS
+IFS='
+'
+for line in $oldbouquets; do
+	file=`echo "$line" | cut -d "#" -f3`
+	grep "#$file" /var/etc/titan/bouquets.cfg > /dev/null
+	if [ $? -ne 0 ]; then
+		echo rm "$file"
+	fi
+done
+IFS=$oldifs
+rm /tmp/bouquets.cfg
+
 TMP=/tmp/.set
 echo "successfully installed"
Index: /ipk/source.sh4/titansettings_old_default_sat_1_0/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titansettings_old_default_sat_1_0/CONTROL/preinst	(revision 17906)
+++ /ipk/source.sh4/titansettings_old_default_sat_1_0/CONTROL/preinst	(revision 17907)
@@ -46,14 +46,15 @@
 fi
 
-echo "remove /var/etc/titan/bouquets.*"
-rm -rf /var/etc/titan/bouquets.* > /dev/null 2>&1
-echo "remove /var/etc/titan/channel"
-rm -rf /var/etc/titan/channel > /dev/null 2>&1
-echo "remove /var/etc/titan/provider"
-rm -rf /var/etc/titan/provider > /dev/null 2>&1
-echo "remove /var/etc/titan/satellites"
-rm -rf /var/etc/titan/satellites > /dev/null 2>&1
-echo "remove /var/etc/titan/transponder"
-rm -rf /var/etc/titan/transponder > /dev/null 2>&1
+#echo "remove /var/etc/titan/bouquets.*"
+#rm -rf /var/etc/titan/bouquets.* > /dev/null 2>&1
+#echo "remove /var/etc/titan/channel"
+#rm -rf /var/etc/titan/channel > /dev/null 2>&1
+#echo "remove /var/etc/titan/provider"
+#rm -rf /var/etc/titan/provider > /dev/null 2>&1
+#echo "remove /var/etc/titan/satellites"
+#rm -rf /var/etc/titan/satellites > /dev/null 2>&1
+#echo "remove /var/etc/titan/transponder"
+#rm -rf /var/etc/titan/transponder > /dev/null 2>&1
+cp /var/etc/titan/bouquets.cfg /tmp/bouquets.cfg
 
 exit 0
